<h1>Listing Resources</h1>

<table>
  <thead>
    <tr>
      <th>Title</th>
      <th>Slug</th>
      <th>Content</th>
      <th>Url</th>
      <th>Topics</th>

      <th></th>
    </tr>
  </thead>
  <tbody>
<%= for resource <- @resources do %>
    <tr>
      <td><%= resource.title %></td>
      <td><%= resource.slug %></td>
      <td><%= resource.content %></td>
      <td><%= resource.url %></td>

      <td class="topics">
        <%= for topic <- resource.entity.topics do %>
          <%= link to: Routes.topic_path(@conn, :tagged, topic) do %><div class="stamp"><%= topic.text %></div><% end %>
        <% end %>
      </td>

      <td>
        <%= button "Show", to: Routes.resource_path(@conn, :show, resource), method: "get", class: "button-outline button-small" %>
        <%= button "Edit", to: Routes.resource_path(@conn, :edit, resource), method: "get", class: "button-small" %>
        <%# <%= link "Delete", to: Routes.resource_path(@conn, :delete, resource), method: :delete, data: [confirm: "Are you sure?"] %>
      </td>
    </tr>
<% end %>
  </tbody>
</table>

<span><%= button "New Resource", to: Routes.resource_path(@conn, :new), method: "get" %></span>
